AlwaysPresentFilter (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.utils

## Class AlwaysPresentFilter

- java.lang.Object
- - org.apache.cassandra.utils.AlwaysPresentFilter

- All Implemented Interfaces:
    java.lang.AutoCloseable, SharedCloseable, IFilter

      public class AlwaysPresentFilter
      extends java.lang.Object
      implements IFilter

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.utils.IFilter

      `IFilter.FilterKey`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AlwaysPresentFilter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(IFilter.FilterKey key)`
    `void` | `clear()`
    `void` | `close()`
    `java.lang.Throwable` | `close(java.lang.Throwable accumulate)`
    `boolean` | `isPresent(IFilter.FilterKey key)`
    `long` | `offHeapSize()` Returns the amount of memory in bytes used off heap.
    `long` | `serializedSize()`
    `IFilter` | `sharedCopy()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AlwaysPresentFilter

          public AlwaysPresentFilter()

  - ### Method Detail

    - #### isPresent

          public boolean isPresent(IFilter.FilterKey key)

      Specified by:
        `isPresent` in interface `IFilter`

    - #### add

          public void add(IFilter.FilterKey key)

      Specified by:
        `add` in interface `IFilter`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `IFilter`

    - #### close

          public void close()

      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Specified by:
        `close` in interface `IFilter`

    - #### sharedCopy

          public IFilter sharedCopy()

      Specified by:
        `sharedCopy` in interface `SharedCloseable`
      Specified by:
        `sharedCopy` in interface `IFilter`
      Returns:
        a new instance of the object representing the same state and backed by the same underlying resources. Coordinates with the original (and other instances) when the underlying resource should be closed. Throws an exception if the shared resource has already been closed.

    - #### close

          public java.lang.Throwable close(java.lang.Throwable accumulate)

      Specified by:
        `close` in interface `SharedCloseable`

    - #### serializedSize

          public long serializedSize()

      Specified by:
        `serializedSize` in interface `IFilter`

    - #### offHeapSize

          public long offHeapSize()

      Description copied from interface: `IFilter`
      Returns the amount of memory in bytes used off heap.
      Specified by:
        `offHeapSize` in interface `IFilter`
      Returns:
        the amount of memory in bytes used off heap

Copyright © 2018 The Apache Software Foundation